Package tigase.conf

## Class ConfigReader.AbstractEnvironmentPropertyVariable

- java.lang.Object
- - tigase.conf.ConfigReader.AbstractEnvironmentPropertyVariable

- All Implemented Interfaces:
    `ConfigReader.Variable`
  Direct Known Subclasses:
    `ConfigReader.EnvironmentVariable`, `ConfigReader.PropertyVariable`
  Enclosing class:
    ConfigReader

      public abstract static class ConfigReader.AbstractEnvironmentPropertyVariable
      extends java.lang.Object
      implements ConfigReader.Variable

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractEnvironmentPropertyVariable()` |
    `protected` | `AbstractEnvironmentPropertyVariable​(java.lang.String name, java.lang.String defValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `protected java.lang.String` | `getDefValue()` |
    `protected java.lang.String` | `getName()` |
    `protected void` | `setDefValue​(java.lang.String defValue)` |
    `protected void` | `setName​(java.lang.String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.conf.ConfigReader.Variable

      `calculateValue`

- - ### Constructor Detail

    - #### AbstractEnvironmentPropertyVariable

          protected AbstractEnvironmentPropertyVariable()

    - #### AbstractEnvironmentPropertyVariable

          protected AbstractEnvironmentPropertyVariable​(java.lang.String name,
                                                        java.lang.String defValue)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getName

          protected java.lang.String getName()

    - #### setName

          protected void setName​(java.lang.String name)

    - #### getDefValue

          protected java.lang.String getDefValue()

    - #### setDefValue

          protected void setDefValue​(java.lang.String defValue)